[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: RFC: Switch Python to 2.4 by default



> We are currently running bulk builds with Python 2.4 enabled to
> see if there are any ill effects.
>
> If you have any comments in this change, now is the time to
> speak up.

i think there could be a problem with python expat module.
python 2.3 build expat as one of the multiple packages.
python 2.4 does not - its part of core.

so this means every python port which uses expat package in a way like
this: 

RUN_DEPENDS=    ${MODPY_EXPAT_DEPENDS}

and has not defined python version 2.3 will not build,
for example:

textproc/py-ElementTree
textproc/py-xml (uses expat as flavor)
www/rawdog

not sure, but the same problem maybe for 2.3 python-mpz package.

regards,

joerg

-- 
http://www.umaxx.net



Visit your host, monkey.org